com.io7m.jtensors

## Interface MatrixDirect4x4FType

- All Superinterfaces:
    Matrix4x4FType, MatrixDirectFType, MatrixDirectReadable4x4FType, MatrixReadable2x2FType, MatrixReadable3x3FType, MatrixReadable4x4FType, MatrixReadableFType, MatrixWritable2x2FType, MatrixWritable3x3FType, MatrixWritable4x4FType, MatrixWritableFType
  All Known Subinterfaces:
    PMatrixDirect4x4FType<T0,T1>
  All Known Implementing Classes:
    MatrixDirectM4x4F, PMatrixDirectM4x4F

      public interface MatrixDirect4x4FType
      extends Matrix4x4FType, MatrixDirectReadable4x4FType

  The type of 4x4 matrices with `float` elements that are backed by direct byte buffers.

  Values of type `MatrixDirect4x4FType` are backed by direct memory, with the rows and columns of the matrices being stored in column-major format. This allows the matrices to be passed to OpenGL directly, without requiring transposition.

  Values of this type cannot be accessed safely from multiple threads without explicit synchronization.

  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable4x4FType

      `setR0C3F, setR1C3F, setR2C3F, setR3C0F, setR3C1F, setR3C2F, setR3C3F, setRow0With4F, setRow1With4F, setRow2With4F, setRow3With4F, setRowWith4F, setRowWith4FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable3x3FType

      `setR0C2F, setR1C2F, setR2C0F, setR2C1F, setR2C2F, setRowWith3F, setRowWith3FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable2x2FType

      `setR0C0F, setR0C1F, setR1C0F, setR1C1F, setRowWith2F, setRowWith2FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritableFType

      `setRowColumnF`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable4x4FType

      `getR0C3F, getR1C3F, getR2C3F, getR3C0F, getR3C1F, getR3C2F, getR3C3F, getRow4F, getRow4FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable3x3FType

      `getR0C2F, getR1C2F, getR2C0F, getR2C1F, getR2C2F, getRow3F, getRow3FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable2x2FType

      `getR0C0F, getR0C1F, getR1C0F, getR1C1F, getRow2F, getRow2FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadableFType

      `getRowColumnF`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixDirectFType

      `getDirectFloatBuffer`

Copyright © 2015 <code@io7m.com> http://io7m.com